<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 16/7/2018
 * Time: 11:46 PM
 */


include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if (isset($_REQUEST['token']) && isset($_REQUEST['id_reglamento'])) {
        if ($Valido->checkToken($_REQUEST['token'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominioData = $Valido->retornarDatos($creadoPor);
            $reglamento = $_REQUEST['id_reglamento'];
            $reglamentos = R::findOne('reglamento', 'id = ?', [$reglamento]);
            include '../comun/mensajeOk.php';
            if ($reglamentos) {
                print_r(json_encode($reglamentos));
            } else {
                include '../comun/mensajeNoHayDatosParaMostrar.php';
            }
        }
    }else{
        include '../comun/mensajeFaltanCampos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}